Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83373

Summary: Evolution 1.2 broke support for non code page 0 UTF-8
Product: [Retired] Red Hat Linux Reporter: Alan Cox <alan>
Component: evolutionAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-29 20:45:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579    

Description Alan Cox 2003-02-03 14:59:54 UTC
Description of problem:

Attempting type a euro symbol, arabic, welsh, cyrillic and other characters
gives an '_' not the desired character

Version-Release number of selected component (if applicable):

Phoebe2

How reproducible:

Run evolution, hit new message attempt to type arabic, welsh etc. (Use character
picker
with font set to courier to get several sets to play with)

Stuff I've checked

Locale is UTF-8 set
Message sending is UTF-8
Font selected for message display (fixed and variable) is capable of displaying
those characters

Evolution 1.0.x gets this right. Without these characters Evolution 1.2 is
basically not usable outside the USSA/Canada and parts of western europe. It
appears evolution 1.2 only displays characters in the first page of unicode
space. I've marked this high as its a revert, a bad revert at that and it makes
our primary mail app unusuable in much of the world

Comment 1 Jeremy Katz 2003-02-10 02:29:20 UTC
Seems fine in evolution 1.2.2 with gtkhtml 1.1.8-1 (don't use -2, it's
definitely broken in some ways).  According to Settings->Font Preferences, my
variable width on screen font is Helvetica 12 (the adobe one) and my fixed width
is Courier 12.  Does it seem better for you with 1.2.2?

Comment 2 Jeremy Katz 2003-06-29 20:45:11 UTC
1.4 should be much happier with UTF-8